<?php
/*
=============================================================================
CUSTOM COMPONENTS
=============================================================================
This file contain the code for the custom contents of Hybrid Composer page builder.
Documentation: wordpress.framework-y.com/advanced-api-documentation/
 */

global $HC_CUSTOM_COMPONENTS;

$HC_CUSTOM_COMPONENTS = array(
array(
	'id'    => 'AAA',
	'name' => 'BBBB',
	'icon'  => 'fa-star',
    'type'  => 'component'
));
?>


<?php 
/*
=============================================================================
BACK-END ADMIN FUNCTION
=============================================================================
Insert the custom code for the admin side here. Check the documentation for the lists of code blocks you can use here.
Documentation: wordpress.framework-y.com/advanced-api-documentation/#admin-codes
 */

function hc_echo_custom_components() { ?> 
<div id="cnt_AAA">
    <div data-hc-id="_ID" data-hc-component="AAA" data-hc-setting="main_content" class="AAA hc-cnt-component">
        <?php hc_e_composer_item_menu("BBBB") ?>
        <div class="flex-box">
            <div class="input-text input-row full-only-input">
                <input placeholder="<?php esc_attr_e("Title","hc") ?>" data-hc-setting="text" type="text" value="" />
            </div>
            <div class="input-row input-select only-input">
                <select data-hc-setting="tag">
                    <option value="h1">H1</option>
                    <option value="h2">H2</option>
                    <option value="h3">H3</option>
                    <option value="h4">H4</option>
                    <option value="h5">H5</option>
                    <option value="h6">H6</option>
                </select>
            </div>
        </div>
    </div>
</div>
<?php } ?>


<?php 
/*
=============================================================================
FRONT-END FUNCTION
=============================================================================
Insert the custom code here. Use $Y_NOW["AAA"] for read your settings, replace AAA with your setting name.
Documentation: wordpress.framework-y.com/advanced-api-documentation/#front-end
 */

function hc_include_AAA(&$Y_NOW,$EXTRA) { ?> 
    <?php echo "<" . esc_attr($Y_NOW["tag"]) . " class='". hc_get_component_classes($Y_NOW,$EXTRA) . "' style='" .  esc_attr($Y_NOW["custom_css_styles"]) . "'>" . wp_kses_post($Y_NOW["text"]) . "</" . esc_attr($Y_NOW["tag"]) . ">"; ?>
<?php } ?>
